﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 22/07/2019 17:08:15
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica3;

CREATE DATABASE IF NOT EXISTS practica3
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE practica3;

--
-- Create table `delegacion`
--
CREATE TABLE IF NOT EXISTS delegacion (
  id_delegacion int(11) NOT NULL AUTO_INCREMENT,
  poblacion varchar(31) DEFAULT NULL,
  direccion varchar(255) DEFAULT NULL,
  nombre varchar(31) DEFAULT NULL,
  PRIMARY KEY (id_delegacion)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `trabajadores`
--
CREATE TABLE IF NOT EXISTS trabajadores (
  id_trabajadores int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(31) DEFAULT NULL,
  apellidos varchar(51) DEFAULT NULL,
  fechaNacimiento date DEFAULT NULL,
  foto varchar(10) DEFAULT NULL,
  delegacion int(15) DEFAULT NULL,
  PRIMARY KEY (id_trabajadores)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE trabajadores
ADD CONSTRAINT FK_trabajadores_delegacion_id_delegacion FOREIGN KEY (delegacion)
REFERENCES delegacion (id_delegacion) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table delegacion
--
-- Table practica3.delegacion does not contain any data (it is empty)

-- 
-- Dumping data for table trabajadores
--
-- Table practica3.trabajadores does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;